Subject: Few label space questions in context of RFC3031 and LSR-MIB

From: "Choudhury, Sanjaya" <[email-masked]>
Date: Mon, 9 Dec 2002 11:58:38 -0500

Hi! I have few questions related to the "label spaces" as defined in RFC3031

and used in LSR-MIB. Your help will be appreciated.

1. RFC3031 Section 3.14, page 16 states the following:
"In MPLS there is no notion of having a different label space for different
levels
 of the hierarchy; when interpreting a label, the level of the label is
irrelevant."

Are the following interpretation correct?
	(a) ALL the labels in a label stack of a LSP  _MUST_ be from the
same 
	label space

	(b) One cannot have a LSP where one of the label in the label stack
is 
	from a "per-interface label space", while other is from a
"per-platform 
	label space".

2. LSR-MIB: 
	(a) mplsInterfaceLabelParticipationType's MAX-ACCESS is read-only.
	Should this be made a read-write field, so that the user can
configure
	the participation type?

	(b) mplsInterfaceLabelParticipationType allows the interface to 
	participate in BOTH "per-interface" and "per-platform" label space.
	In such a case:
		(i) How does the indexing of the mplsInputSegmentEntry 
		will work?
			case1: If1 , 300 (platform label space)
			           If2,  300 (interface label space) !!!

			case2: If1, 500 (platform label space)
			           If1, 500 (interface label space)
				->un-supported (illegal config?)
		(ii) What should the mplsInterfaceLabelMinIn,MinOut,MaxIn
		     Maxout?

Thanks,
sanjay